<?php
// +--------------------------------------------------------------------------+
// | Contentteller(R) Professional/Business Edition 2008.1                    |
// +--------------------------------------------------------------------------+
// | Copyright (C) 2002 - 2009 by Esselbach Internet Solutions                |
// | Available from http://www.contentteller.com                              |
// +--------------------------------------------------------------------------+
// | This is a commercial version of Contentteller and not free software.     |
// | You may not redistribute this file or its derivatives without written    |
// | permission.                                                              |
// +--------------------------------------------------------------------------+
// | Contentteller is a registered trademark.                                 |
// +--------------------------------------------------------------------------+
// | Build: 529     Patch: 13                                                 |
// +--------------------------------------------------------------------------+

/**
 * @package Contentteller
 * @subpackage News
 * @copyright (C) 2002-2009 Esselbach Internet Solutions
 */

/**
 * function AdminDoMassQueueStoriesProcess
 * A function to process queue stories 
 * @author Philipp Louis Esselbach
 */
function AdminDoMassQueueStoriesProcess()
{
	global $database, $system, $security, $preferences, $html, $words_news;
	$input_stories = ( isset( $_POST[ 'input_stories' ] ) ) ? $security -> checkvar( $_POST[ 'input_stories' ] ) : "" ;
	$input_status = ( isset( $_POST[ 'input_status' ] ) ) ? $security -> checkvar( $_POST[ 'input_status' ] ) : "" ;
	$input_security_hash = ( isset( $_POST[ 'input_security_hash' ] ) ) ? $security -> checkvar( $_POST[ 'input_security_hash' ] ) : "" ;

	if( ( $system -> adminhashget() != $input_security_hash ) and( $preferences[ 'website_subsessions_admin' ] ) )
	{
		$html -> login( $words_news[ 'ERROR' ], $words_news[ 'INVALID_SESSION' ], "index.php" );
		exit;
	}
	
	if( $input_status == $words_news[ 'YES' ] )
	{
		$input_stories_array = explode( ",", $input_stories );
		$input_stories_array = $security -> checknumarray( $input_stories_array );
		$input_stories_sql = implode( ",", $input_stories_array );
		$html -> login( $words_news[ 'MASS_PROCESSING' ], $words_news[ 'PROCESSING' ], "index.php?action=processsubmissionqueue&amp;news=" . $input_stories_sql );
	}
	else
	{
		$html -> login( $words_news[ 'MASS_PROCESSING' ], $words_news[ 'ABORTING_PROCESSING' ], "index.php?action=submissionqueue" );
	}
}
?>