<?php
// +--------------------------------------------------------------------------+
// | Contentteller(R) Professional/Business Edition 2008.1                    |
// +--------------------------------------------------------------------------+
// | Copyright (C) 2002 - 2009 by Esselbach Internet Solutions                |
// | Available from http://www.contentteller.com                              |
// +--------------------------------------------------------------------------+
// | This is a commercial version of Contentteller and not free software.     |
// | You may not redistribute this file or its derivatives without written    |
// | permission.                                                              |
// +--------------------------------------------------------------------------+
// | Contentteller is a registered trademark.                                 |
// +--------------------------------------------------------------------------+
// | Build: 529     Patch: 13                                                 |
// +--------------------------------------------------------------------------+

/**
 * @package Contentteller
 * @subpackage News
 * @copyright (C) 2002-2009 Esselbach Internet Solutions
 */
if( !defined( "CONTENTTELLER_ADMIN" ) )
{
	die( "Error" );
}
/**
 * Load functions for the News module
 * @author Philipp Louis Esselbach
 */
if( ( $action == "addnewstory" ) and( isset( $permissions[ 'news' ] ) ) )
{
	include( "adminaddnewstory.php" );
	AdminAddNewStory( 0 );
	$group = "news";
}

if( ( $aform == "doaddnewstory" ) and( isset( $permissions[ 'news' ] ) ) )
{
	include( "admindoaddnewstory.php" );
	include( "adminaddnewstory.php" );
	$action = "doaddnewstory";
	AdminDoAddNewStory();
	$group = "news";
}

if( ( $action == "newsattachmentpreview" ) and( isset( $permissions[ 'news' ] ) ) )
{
	include( "adminnewsattachmentpreview.php" );
	AdminNewsAttachmentPreview();
	$group = "news";
}

if( ( $action == "managestories" ) and( isset( $permissions[ 'news' ] ) ) )
{
	include( "adminmanagestories.php" );
	AdminManageStories( $opts );
	$group = "news";
}

if( ( $aform == "doeditstory" ) and( isset( $permissions[ 'news' ] ) ) )
{
	include( "admindoeditstory.php" );
	include( "admineditstory.php" );
	$action = "doeditstory";
	AdminDoEditStory();
	$group = "news";
}

if( ( $aform == "storiesoptions" ) and( isset( $permissions[ 'news' ] ) ) )
{
	include( "adminstoriesoptions.php" );
	$action = "newsstoriesoptions";
	AdminStoriesOptions();
	$group = "news";
}

if( ( $aform == "domassstoriesdelete" ) and( isset( $permissions[ 'news' ] ) ) )
{
	include( "admindomassstoriesdelete.php" );
	$action = "domassstoriesdelete";
	AdminDoMassStoriesDelete();
	$group = "news";
}

if( ( $action == "managecomments" ) and( isset( $permissions[ 'news' ] ) ) )
{
	if( $permissions[ 'news' ] == 1 )
	{
		include( "adminmanagecomments.php" );
		AdminManageComments( $opts );
	}
	
	$group = "news";
}

if( ( $aform == "doeditcomment" ) and( isset( $permissions[ 'news' ] ) ) )
{
	if( $permissions[ 'news' ] == 1 )
	{
		include( "admindoeditcomment.php" );
		include( "admineditcomment.php" );
		$action = "doeditcomment";
		AdminDoEditComment();
	}
	
	$group = "news";
}

if( ( $aform == "commentsoptions" ) and( isset( $permissions[ 'news' ] ) ) )
{
	if( $permissions[ 'news' ] == 1 )
	{
		include( "admincommentsoptions.php" );
		$action = "newscommentsoptions";
		AdminCommentsOptions();
	}
	
	$group = "news";
}

if( ( $aform == "domasscommentsdelete" ) and( isset( $permissions[ 'news' ] ) ) )
{
	if( $permissions[ 'news' ] == 1 )
	{
		include( "admindomasscommentsdelete.php" );
		$action = "domasscommentsdelete";
		AdminDoMassCommentsDelete();
	}
	
	$group = "news";
}

if( ( $aform == "domasscommentsplonk" ) and( isset( $permissions[ 'news' ] ) ) )
{
	if( $permissions[ 'news' ] == 1 )
	{
		include( "admindomasscommentsplonk.php" );
		$action = "domasscommentsplonk";
		AdminDoMassCommentsPlonk();
	}
	
	$group = "news";
}

if( ( $aform == "domasscommentsunplonk" ) and( isset( $permissions[ 'news' ] ) ) )
{
	if( $permissions[ 'news' ] == 1 )
	{
		include( "admindomasscommentsunplonk.php" );
		$action = "domasscommentsunplonk";
		AdminDoMassCommentsUnPlonk();
	}
	
	$group = "news";
}

if( ( $action == "submissionqueue" ) and( isset( $permissions[ 'news' ] ) ) )
{
	if( $permissions[ 'news' ] == 1 )
	{
		include( "adminmanagesubmissionqueue.php" );
		AdminManageSubmissionQueue( $opts );
	}
	
	$group = "news";
}

if( ( $aform == "doeditqueuestory" ) and( isset( $permissions[ 'news' ] ) ) )
{
	if( $permissions[ 'news' ] == 1 )
	{
		include( "admindoeditqueuestory.php" );
		include( "admineditqueuestory.php" );
		$action = "doeditqueuestory";
		AdminDoEditQueueStory();
	}
	
	$group = "news";
}

if( ( $action == "processsubmissionqueue" ) and( isset( $permissions[ 'news' ] ) ) )
{
	if( $permissions[ 'news' ] == 1 )
	{
		include( "adminprocesssubmissionqueue.php" );
		AdminProcessSubmissionQueue( 0 );
	}
	
	$group = "news";
}

if( ( $aform == "doprocesssubmissionqueue" ) and( isset( $permissions[ 'news' ] ) ) )
{
	if( $permissions[ 'news' ] == 1 )
	{
		include( "admindoprocesssubmissionqueue.php" );
		include( "adminprocesssubmissionqueue.php" );
		$action = "doprocesssubmissionqueue";
		AdminDoProcessSubmissionQueue();
	}
	
	$group = "news";
}

if( ( $aform == "submissionqueueoptions" ) and( isset( $permissions[ 'news' ] ) ) )
{
	if( $permissions[ 'news' ] == 1 )
	{
		include( "adminsubmissionqueueoptions.php" );
		$action = "submissionqueueoptions";
		AdminSubmissionQueueOptions();
	}
	
	$group = "news";
}

if( ( $aform == "domassqueuestoriesdelete" ) and( isset( $permissions[ 'news' ] ) ) )
{
	if( $permissions[ 'news' ] == 1 )
	{
		include( "admindomassqueuestoriesdelete.php" );
		$action = "domassqueuestoriesdelete";
		AdminDoMassQueueStoriesDelete();
	}
	
	$group = "news";
}

if( ( $aform == "domassqueuestoriesapprove" ) and( isset( $permissions[ 'news' ] ) ) )
{
	if( $permissions[ 'news' ] == 1 )
	{
		include( "admindomassqueuestoriesapprove.php" );
		$action = "domassqueuestoriesapprove";
		AdminDoMassQueueStoriesApprove();
	}
	
	$group = "news";
}

if( ( $aform == "domassqueuestoriesmerge" ) and( isset( $permissions[ 'news' ] ) ) )
{
	if( $permissions[ 'news' ] == 1 )
	{
		include( "admindomassqueuestoriesmerge.php" );
		$action = "domassqueuestoriesmerge";
		AdminDoMassQueueStoriesMerge();
	}
	
	$group = "news";
}

if( ( $aform == "domassqueuestoriesreject" ) and( isset( $permissions[ 'news' ] ) ) )
{
	if( $permissions[ 'news' ] == 1 )
	{
		include( "admindomassqueuestoriesreject.php" );
		$action = "domassqueuestoriesreject";
		AdminDoMassQueueStoriesReject();
	}
	
	$group = "news";
}

if( ( $aform == "domassqueuestoriesprocess" ) and( isset( $permissions[ 'news' ] ) ) )
{
	
	if( $permissions[ 'news' ] == 1 )
	{
		include( "admindomassqueuestoriesprocess.php" );
		$action = "domassqueuestoriesprocess";
		AdminDoMassQueueStoriesProcess();
	}
	
	$group = "news";
}

if( ( $action == "newsqueueattachmentpreview" ) and( isset( $permissions[ 'news' ] ) ) )
{
	if( $permissions[ 'news' ] == 1 )
	{
		include( "adminnewsqueueattachmentpreview.php" );
		AdminNewsQueueAttachmentPreview();
	}
	
	$group = "news";
}

if( ( $action == "addteaserimage" ) and( isset( $permissions[ 'news' ] ) ) )
{
	if( $permissions[ 'news' ] == 1 )
	{
		include( "adminaddteaserimage.php" );
		AdminAddTeaserImage();
	}
	
	$group = "news";
}

if( ( $action == "manageteaserimages" ) and( isset( $permissions[ 'news' ] ) ) )
{
	if( $permissions[ 'news' ] == 1 )
	{
		include( "adminmanageteaserimages.php" );
		AdminManageTeaserImages( $opts );
	}
	
	$group = "news";
}

if( ( $action == "teaserimagepreview" ) and( isset( $permissions[ 'news' ] ) ) )
{
	include( "adminteaserimagepreview.php" );
	AdminTeaserImagePreview();
}

if( ( $aform == "doaddteaserimage" ) and( isset( $permissions[ 'news' ] ) ) )
{
	if( $permissions[ 'news' ] == 1 )
	{
		include( "admindoaddteaserimage.php" );
		$action = "doaddteaserimage";
		AdminDoAddTeaserImage();
	}
	
	$group = "news";
}

if( ( $aform == "teaserimagesoptions" ) and( isset( $permissions[ 'news' ] ) ) )
{
	if( $permissions[ 'news' ] == 1 )
	{
		include( "adminteaserimagesoptions.php" );
		$action = "teaserimagesoptions";
		AdminTeaserImagesOptions();
	}
	
	$group = "news";
}

if( ( $aform == "domassteaserimagesdelete" ) and( isset( $permissions[ 'news' ] ) ) )
{
	if( $permissions[ 'news' ] == 1 )
	{
		include( "admindomassteaserimagesdelete.php" );
		$action = "domassteaserimagesdelete";
		AdminDoMassTeaserImagesDelete();
	}
	
	$group = "news";
}

if( ( $action == "newsattachments" ) and( isset( $permissions[ 'news' ] ) ) )
{
	if( $permissions[ 'news' ] == 1 )
	{
		include( "adminnewsattachments.php" );
		AdminNewsAttachments( $opts );
	}
	
	$group = "news";
}

if( ( $aform == "doeditnewsattachment" ) and( isset( $permissions[ 'news' ] ) ) )
{
	if( $permissions[ 'news' ] == 1 )
	{
		include( "admindoeditnewsattachment.php" );
		$action = "doeditnewsattachment";
		AdminDoEditNewsAttachment();
	}
	
	$group = "news";
}

if( ( $aform == "newsattachmentsoptions" ) and( isset( $permissions[ 'news' ] ) ) )
{
	if( $permissions[ 'news' ] == 1 )
	{
		include( "adminnewsattachmentsoptions.php" );
		$action = "newsattachmentsoptions";
		AdminNewsAttachmentsOptions();
	}
	
	$group = "news";
}

if( ( $aform == "domassnewsattachmentsdelete" ) and( isset( $permissions[ 'news' ] ) ) )
{
	if( $permissions[ 'news' ] == 1 )
	{
		include( "admindomassnewsattachmentsdelete.php" );
		$action = "domassnewsattachmentsdelete";
		AdminDoMassNewsAttachmentsDelete();
	}
	
	$group = "news";
}

if( ( $action == "newsattachmentsearch" ) and( isset( $permissions[ 'news' ] ) ) )
{
	if( $permissions[ 'news' ] == 1 )
	{
		include( "adminnewsattachmentsearch.php" );
		AdminNewsAttachmentSearch();
	}
	
	$group = "news";
}

if( ( $action == "searchreplacenews" ) and( isset( $permissions[ 'news' ] ) ) )
{
	if( $permissions[ 'news' ] == 1 )
	{
		include( "adminsearchreplacenews.php" );
		AdminSearchReplaceNews();
	}
	
	$group = "news";
}


if( ( $aform == "dosearchreplacenews" ) and( isset( $permissions[ 'news' ] ) ) )
{
	if( $permissions[ 'news' ] == 1 )
	{
		include( "admindosearchreplacenews.php" );
		$action = "dosearchreplacenews";
		AdminDoSearchReplaceNews();
	}
	
	$group = "news";
}


if( ( $action == "newschannels" ) and( isset( $permissions[ 'news' ] ) ) )
{
	if( $permissions[ 'news' ] == 1 )
	{
		include( "adminnewschannels.php" );
		AdminNewsChannels( $opts );
	}
	
	$group = "news";
}

if( ( $aform == "doaddnewschannel" ) and( isset( $permissions[ 'news' ] ) ) )
{
	if( $permissions[ 'news' ] == 1 )
	{
		include( "adminnewschannels.php" );
		include( "admindoaddnewschannel.php" );
		$action = "doaddnewschannel";
		AdminDoAddNewsChannel();
	}
	
	$group = "news";
}

if( ( $aform == "doeditnewschannel" ) and( isset( $permissions[ 'news' ] ) ) )
{
	if( $permissions[ 'news' ] == 1 )
	{
		include( "adminnewschannels.php" );
		include( "admindoeditnewschannel.php" );
		$action = "doaddeditchannel";
		AdminDoEditNewsChannel();
	}
	
	$group = "news";
}

if( ( $action == "managenewsfields" ) and( isset( $permissions[ 'news' ] ) ) )
{
	if( $permissions[ 'news' ] == 1 )
	{
		include( "adminmanagenewsfields.php" );
		AdminManageNewsFields();
	}
	
	$group = "news";
}

if( ( $aform == "doeditnewsfields" ) and( isset( $permissions[ 'news' ] ) ) )
{
	if( $permissions[ 'news' ] == 1 )
	{
		include( "admindoeditnewsfields.php" );
		AdminDoEditNewsFields();
	}
	
	$group = "news";
}

if( ( $action == "approvetrackbacks" ) and( isset( $permissions[ 'news' ] ) ) )
{
	if( $permissions[ 'news' ] == 1 )
	{
		include( "adminapprovetrackbacks.php" );
		AdminApproveTrackbacks( $opts );
	}
	
	$group = "news";
}

if( ( $aform == "approvetrackbacksoptions" ) and( isset( $permissions[ 'news' ] ) ) )
{
	if( $permissions[ 'news' ] == 1 )
	{
		include( "adminapprovetrackbacksoptions.php" );
		$action = "approvetrackbacksoptions";
		AdminApproveTrackbacksOptions();
	}
	
	$group = "news";
}

if( ( $aform == "domasstrackbacksapprove" ) and( isset( $permissions[ 'news' ] ) ) )
{
	if( $permissions[ 'news' ] == 1 )
	{
		include( "admindomasstrackbacksapprove.php" );
		$action = "domasstrackbacksapprove";
		AdminDoMassTrackbacksApprove();
	}
	
	$group = "news";
}

if( ( $aform == "domasstrackbacksdisapprove" ) and( isset( $permissions[ 'news' ] ) ) )
{
	if( $permissions[ 'news' ] == 1 )
	{
		include( "admindomasstrackbacksdisapprove.php" );
		$action = "domasstrackbacksdisapprove";
		AdminDoMassTrackbacksDisapprove();
	}
	
	$group = "news";
}

if( ( $aform == "domasstrackbacksdelete" ) and( isset( $permissions[ 'news' ] ) ) )
{
	if( $permissions[ 'news' ] == 1 )
	{
		include( "admindomasstrackbacksdelete.php" );
		$action = "domasstrackbacksdelete";
		AdminDoMassTrackbacksDelete();
	}
	
	$group = "news";
}

if( ( $action == "managenewstags" ) and( isset( $permissions[ 'news' ] ) ) )
{
	if( $permissions[ 'news' ] == 1 )
	{
		include( "adminmanagenewstags.php" );
		AdminManageNewsTags( $opts );
	}
	
	$group = "news";
}

if( ( $aform == "doeditnewstag" ) and( isset( $permissions[ 'news' ] ) ) )
{
	if( $permissions[ 'news' ] == 1 )
	{
		include( "admindoeditnewstag.php" );
		include( "admineditnewstag.php" );
		$action = "doeditnewstag";
		AdminDoEditNewsTag();
	}
	
	$group = "news";
}

if( ( $aform == "newstagsoptions" ) and( isset( $permissions[ 'news' ] ) ) )
{
	if( $permissions[ 'news' ] == 1 )
	{
		include( "adminnewstagsoptions.php" );
		$action = "newstagsoptions";
		AdminNewsTagsOptions();
	}
	
	$group = "news";
}

if( ( $aform == "domassnewstagsdelete" ) and( isset( $permissions[ 'news' ] ) ) )
{
	if( $permissions[ 'news' ] == 1 )
	{
		include( "admindomassnewstagsdelete.php" );
		$action = "domassnewstagsdelete";
		AdminDoMassNewsTagsDelete();
	}
	
	$group = "news";
}

if( ( $action == "newssearchqueries" ) and( isset( $permissions[ 'news' ] ) ) )
{
	if( $permissions[ 'news' ] == 1 )
	{
		include( "adminnewssearchqueries.php" );
		AdminNewsSearchQueries( $opts );
	}
	
	$group = "news";
}

if( ( $aform == "newssearchqueriesoptions" ) and( isset( $permissions[ 'news' ] ) ) )
{
	if( $permissions[ 'news' ] == 1 )
	{
		include( "adminnewssearchqueriesoptions.php" );
		$action = "newssearchqueriesoptions";
		AdminNewsSearchQueriesOptions();
	}
	
	$group = "news";
}

if( ( $aform == "domasssearchqueriesdelete" ) and( isset( $permissions[ 'news' ] ) ) )
{
	if( $permissions[ 'news' ] == 1 )
	{
		include( "admindomasssearchqueriesdelete.php" );
		$action = "domasssearchqueriesdelete";
		AdminDoMassSearchQueriesDelete();
	}
	
	$group = "news";
}

if( ( $action == "editnewspreferences" ) and( isset( $permissions[ 'news' ] ) ) )
{
	if( $permissions[ 'news' ] == 1 )
	{
		include( "admineditnewspreferences.php" );
		AdminEditNewsPreferences();
	}
	
	$group = "news";
}

if( ( $aform == "doeditnewspreferences" ) and( isset( $permissions[ 'news' ] ) ) )
{
	if( $permissions[ 'news' ] == 1 )
	{
		include( "admindoeditnewspreferences.php" );
		AdminDoEditNewsPreferences();
	}
	
	$group = "news";
}

if( ( $aform == "doupdatenewschannels" ) and( isset( $permissions[ 'news' ] ) ) )
{
	if( $permissions[ 'news' ] == 1 )
	{
		include( "adminnewschannels.php" );
		include( "admindoupdatenewschannels.php" );
		$action = "doupdatenewschannels";
		AdminDoUpdateNewsChannels();
	}
	
	$group = "news";
}
?>